%define name freefonts
%define version 0.10
%define release 4mdk

Name:		%{name}
Summary:	Collection of free ATM fonts
Version:	%{version}
Release:	%{release}
Copyright:	see individual licenses
Group:		System/Fonts/X11 bitmap
URL:		http://www.gimp.org/fonts.html
Vendor:		MandrakeSoft
Source:		%{name}-%{version}.tar.bz2
Requires:	XFree86-xfs
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		/usr/share/fonts
Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%description
FreeFonts is a collection of free ATM fonts suitable for use with X and
GIMP.  RPM designed for Mandrake 6.x systems, but it may work with other
distributions using xfs and chkfontpath.

%prep
%setup -q
%build

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/freefont
cp * $RPM_BUILD_ROOT%{prefix}/freefont

%post
cd %{prefix}/freefont
ttmkfdir -o fonts.dir
ln -s fonts.dir fonts.scale
chkfontpath --add %{prefix}/freefont
echo "Restarting xfs..."
/etc/rc.d/init.d/xfs restart

%postun
chkfontpath --del %{prefix}/freefont
echo "Restarting xfs..."
/etc/rc.d/init.d/xfs restart

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/file.list.%{name}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files 
%defattr(-,root,root)
%dir /usr/share/fonts/freefont
/usr/share/fonts/freefont/*


%changelog
* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.10-4mdk
- fix group
- fix files sections

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Thu Jan 20 2000 Vincent Danen <vdanen@linux-mandrake.com>
- bzip sources
- updated specfile

* Tue Nov 9 1999 Vincent Danen <vdanen@softhome.net>
- updated spec file to clean up properly
- forgot to add group to previous version.  Fixed.

* Fri Oct 29 1999 Vincent Danen <vdanen@softhome.net>
- initial spec file
- 0.10
